
# Harambee dedicated servers for games set-up
This repository is a set-up for several dedicated servers for the online enjoyment of members of Harambee. It consists of a docker-compose stack that is meant to be deployed almost as-is.

## Currently included (15-02-2020)
- [Valheim](https://github.com/lloesche/valheim-server-docker)
- [Factorio](https://github.com/factoriotools/factorio-docker)

## How to set up yourself?
1. Clone this repository
2. Copy `dist.env` to `.env`
3. Change the environment variables in `.env` to your likings
4. `$ docker-compose up -d`
5. Watch magic happen.
6. > You're a hacker Harry!

## Objectives and principles
- Game data is stored in the `./data/<game>` directory, but can be changed to your liking in the environment variables
- The containers should be kept up-to-date automatically, so when a new version of the game comes out, the server downloads this version and restarts the container
